aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/objective-c/tests/run_tests.sh
diff options
context:
space:
mode:
authorGravatar David Garcia Quintas <dgq@google.com>2015-08-09 09:21:01 -0700
committerGravatar David Garcia Quintas <dgq@google.com>2015-08-09 09:21:01 -0700
commit49a513031880a6303273f3fe3cec837225a5ad78 (patch)
tree0140ee377eb87732cdb6072576751d98f8c9d8cc /src/objective-c/tests/run_tests.sh
parent7c0d914cce379f14a1adfae9374641967c45d7b2 (diff)
parent10494fcb61d638682fb8e5d28356a1f5125e8d0a (diff)
Merge branch 'compression-accept-encoding' into compression-interop
Diffstat (limited to 'src/objective-c/tests/run_tests.sh')
-rwxr-xr-xsrc/objective-c/tests/run_tests.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/src/objective-c/tests/run_tests.sh b/src/objective-c/tests/run_tests.sh
index 37fced3a62..7b133c1782 100755
--- a/src/objective-c/tests/run_tests.sh
+++ b/src/objective-c/tests/run_tests.sh
@@ -28,13 +28,18 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Don't run this script standalone. Instead, run from the repository root:
+# ./tools/run_tests/run_tests.py -l objc
+
set -e
cd $(dirname $0)
-# TODO(jcanizales): Remove when Cocoapods issue #3823 is resolved.
-export COCOAPODS_DISABLE_DETERMINISTIC_UUIDS=YES
-pod install
+# Run the tests server.
+../../../bins/$CONFIG/interop_server --port=5050 &
+../../../bins/$CONFIG/interop_server --port=5051 --enable_ssl &
+# Kill them when this script exits.
+trap 'kill -9 `jobs -p`' EXIT
# xcodebuild is very verbose. We filter its output and tell Bash to fail if any
# element of the pipe fails.